Bug 908420 - VDSM side: (cpu_host) [RFE] Support cpu -host (passthrough) for virtual machines
VDSM side: (cpu_host) [RFE] Support cpu -host (passthrough) for virtual machines
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: Laszlo Hornyak
Ido Begun
http://wiki.ovirt.org/wiki/Features/C...
sla
: FutureFeature, SubFeature
Depends On:
Blocks: cpu_host 915537
  Show dependency treegraph
 
Reported: 2013-02-06 11:43 EST by Doron Fediuck
Modified: 2016-02-10 15:19 EST (History)
10 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-8.0.el6ev
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doron Fediuck 2013-02-06 11:43:35 EST
Description of problem:
This BZ is meant to handle a missing fix already merged in upstream VDSM.

We should support passing -cpu host to a virtual machine.

Use case :  User wants maximum performance from a virtual machine and does not care about migration.

This should be presented as an advanced CPU option and should block migration.
Comment 1 Laszlo Hornyak 2013-02-06 11:52:43 EST
this is a bug to port this http://gerrit.ovirt.org/#/c/9507/ to downstream
Comment 4 Ido Begun 2013-03-21 02:31:05 EDT
OK - SF10.1

A VM with CPU mode of "host_passthrough" is running with '-cpu host'.
Comment 5 Itamar Heim 2013-06-11 04:56:38 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 04:56:41 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 04:56:42 EDT
3.2 has been released
Comment 8 Itamar Heim 2013-06-11 04:59:12 EDT
3.2 has been released
Comment 9 Itamar Heim 2013-06-11 05:28:38 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.